Package org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender

# Interface IDifferenceGroupExtender

public interface IDifferenceGroupExtender
Instances of this class will be used by EMF Compare in order to extend the children of TreeNodes containing in the structure merge viewer.

Since:
  4.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IDifferenceGroupExtender.Registry`
A registry of `IDifferenceGroupExtender`.

## Method Summary

Modifier and Type
Method
Description
`void`
`addChildren(TreeNode treeNode)`
Add children to the given TreeNode.
`boolean`
`handle(TreeNode treeNode)`
Checks if the given TreeNode have to be handled by the extender.

## Method Details

### handle

boolean handle(TreeNode treeNode)
Checks if the given TreeNode have to be handled by the extender.

Parameters:
  `treeNode` - the given TreeNode.
Returns:
  true if the TreeNode have to be handled, false otherwise.

### addChildren

void addChildren(TreeNode treeNode)
Add children to the given TreeNode.

Parameters:
  `treeNode` - the given TreeNode.